#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Predesys - Predesys Server
# Version: 0.2.1
# Author: Jose Antonio Jimenez Carmona <josantjim@gmail.com>
# License: LGPL 3.0 (see "license" file)

import sys
sys.dont_write_bytecode = True
import logging
import logging.handlers

def log_exception(message, area):
    if message == None or type(message) != str: return
    if area == None or type(area) != str: return
    
    try:
        rootLogger = logging.getLogger("")
        rootLogger.setLevel(logging.DEBUG)
        socketHandler = logging.handlers.SocketHandler("localhost", logging.handlers.DEFAULT_TCP_LOGGING_PORT)
        rootLogger.addHandler(socketHandler)
        
        logger = logging.getLogger(area)
        logger.error(message)
    except:
        pass
